HAXE(1)

NAME
haxe - compile haXe programs to SWF, Neko, JavaScript, PHP, or C++.

SYNOPSIS
haxe -main class [-swf9|-swf|-js|-neko|-php|-cpp|-as3] output [options...]

DESCRIPTION
haxe is a command-line compiler which compiles haXe programs into Flash SWF, JavaScript, ActionScript, PHP, C++, or Neko bytecode.

haXe programs are similar to JavaScript, but have a full-featured type system with generics.

OPTIONS

-cp path
    Add a directory to find source files.

-js file
    Compile code to JavaScript file.

-swf file
    Compile code to Flash SWF file.

-as3 directory
    Generate AS3 code into target directory.

-neko file
    Compile code to Neko Binary.

-php file
    Generate PHP code into target directory.

-cpp file
    Generate C++ code into target directory.

-xml file
    Generate XML types description.

-main class
    Select startup class.

-lib library[:version]
    Use a haxelib library.

-D var
    Define a conditional compilation flag.

-v  Turn on verbose mode.

-debug
    Add debug information to the compiled code.

-swf-version version
    Change the SWF version (6 to 10).

-swf-header header
    Define SWF header (width:height:fps:color).

-swf-lib file
    Add the SWF library to the compiled SWF.

-x file
    Shorthand for compiling and executing a neko file.

-resource file[@name]
    Add a named resource file.

-prompt
    Prompt on error.

-cmd
    Run the specified command after successful compilation.

--flash-strict
    More type strict flash API.

--no-traces
    Do not compile trace calls in the program.

--flash-use-stage
    Place objects found on the stage of the SWF lib.

--neko-source
    Keep generated neko source.

--gen-hx-classes file
    Generate hx headers from SWF9 file.

--next
    Separate several haxe compilations.

--display
    Display code tips.

--no-output
    Compiles but does not generate any file.

--times
    Measure compilation times.

--no-inline
    Disable inlining.

--no-opt
    Disable code optimizations.

--php-front file
    Select the name for the php front file.

--php-lib file
    select the name for the php lib folder.

--js-namespace namespace
    Create a namespace where root types are defined.

--remap package:target
    Remap a package to another one.

--interp
    Interpret the program using internal macro system.

--macro
    Call the given macro before typing anything else.

--dead-code-elimination
    Remove unused methods.

-help
    Display this list of options.

--help
    Display this list of options.

AUTHOR
haXe is written by Nicolas Cannasse for Motion-Twin.

SEE ALSO
haxelib(1). http://haxe.org.